#include<legopowerfunctions.h>

long duration; //Time from Sonar sensor - rebound - return to to Sonar sensor
long distance; // duration converted to distance
const int trigPin = 2; //sending sonar sensor connection
const int echoPin = 3; // receiving sonar sensor connection

LEGOPowerFunctions lego(12); //transmitter connection

void setup() {
  pinMode(trigPin, OUTPUT);
  pinMode(echoPin, INPUT);
}


void loop(){
  digitalWrite(trigPin, LOW);  //Sonar Set up
  delayMicroseconds(5); //Sonar Set up
  digitalWrite(trigPin, HIGH); //Sonar Set up
  delayMicroseconds(10); //Sonar Set up
  digitalWrite(trigPin, LOW); //Sonar Set up
  duration = pulseIn(echoPin, HIGH); //duration of send/receive sonar
  distance = (duration/2) * 0.0135;   //divide duration by two since time to send and retrieve

  if(distance < 36) { 

    lego.SingleOutput(0, PWM_REV7, RED, CH1); //Elbow bend
    delay(5000); //Pause program
    lego.SingleOutput(0, PWM_BRK, RED, CH1); //Stop
    delay(1000); //pause program

    lego.SingleOutput(0, PWM_FWD3, BLUE, CH1); // Grip close
    delay(1500); //Pause program
    lego.SingleOutput(0, PWM_BRK, RED, CH1); //Stop 
    delay(1000);//Pause program  

    lego.SingleOutput(0, PWM_FWD7, RED, CH1); //Elbow extend
    delay(5000); //Pause program
    lego.SingleOutput(0, PWM_BRK, RED, CH1); //Stop
    delay(1000); //pause program

    lego.SingleOutput(0, PWM_REV2, RED, CH2); //turntable left
    delay(800); //Pause program
    lego.SingleOutput(0, PWM_BRK, RED, CH2); //Stop
    delay(1000); //pause program

    lego.SingleOutput(0, PWM_REV3, BLUE, CH1); //Grip open
    delay(2200); //Pause program
    lego.SingleOutput(0, PWM_BRK, BLUE, CH1); //Stop
    delay (1000);//Pause program
    
    lego.SingleOutput(0, PWM_FWD2, RED, CH2); //turntable right
    delay(800); //Pause program
    lego.SingleOutput(0, PWM_BRK, RED, CH2); //Stop
    delay(3000);//Pause program
  } 

}
